diff -aur lm1100.1.0.2a/Jet.h fw_lm1100.1.0.2a/Jet.h
--- lm1100.1.0.2a/Jet.h	2000-11-21 09:06:22.000000000 +0100
+++ fw_lm1100.1.0.2a/Jet.h	2007-11-02 11:42:16.000000000 +0100
@@ -45,7 +45,7 @@
 	Coord imageStart;  // start of image from edge of paper
 
 	bool insideImage(int x, int y);
-	bool Jet::needsPainting(int ix, int iy, int bit);
+	bool needsPainting(int ix, int iy, int bit);
 	
  public:
 	/* Range of paper jet covers when head is at 0,0 */
@@ -54,7 +54,7 @@
 	/* Range of paper jet needs to cover to get the entire image */
 	void getImageRange(Rect *dest);
 	Coord *getPreferredImageStart(Coord *start);
-	int Jet::getPreferredEnd();
+	int getPreferredEnd();
 	bool finished();
 	void setImageStart(Coord *imageStart);
 	void paint(int startX, int endX, int y, class LexmarkProtocol *protocol);
diff -aur lm1100.1.0.2a/LexmarkProtocol300c.cc fw_lm1100.1.0.2a/LexmarkProtocol300c.cc
--- lm1100.1.0.2a/LexmarkProtocol300c.cc	2000-11-21 09:06:22.000000000 +0100
+++ fw_lm1100.1.0.2a/LexmarkProtocol300c.cc	2007-11-02 11:45:55.000000000 +0100
@@ -69,7 +69,7 @@
 Jet **LexmarkProtocol300c::createJets(int *numJets, Map *imageMap)
 {
 	*numJets = 6;
-	class Jet **jets = new (Jet *)[6];
+	class Jet **jets = new Jet *[6];
 	jets[0] = new Jet(0,9,0,imageMap,LEFT_JET,0,8);
 	jets[1] = new Jet(1,0,0,imageMap,RIGHT_JET,0,8);
 	jets[2] = new Jet(2,-9,20,imageMap,LEFT_JET,1,8);
diff -aur lm1100.1.0.2a/LexmarkProtocolBW.cc fw_lm1100.1.0.2a/LexmarkProtocolBW.cc
--- lm1100.1.0.2a/LexmarkProtocolBW.cc	2000-11-21 09:06:22.000000000 +0100
+++ fw_lm1100.1.0.2a/LexmarkProtocolBW.cc	2007-11-02 11:47:31.000000000 +0100
@@ -68,7 +68,7 @@
 Jet **LexmarkProtocolBW::createJets(int *numJets, Map *imageMap)
 {
 	*numJets = 2;
-	class Jet **jets = new (Jet *)[2];
+	class Jet **jets = new Jet *[2];
 	jets[0] = new Jet(0,9,0,imageMap,LEFT_JET,0,28);
 	jets[1] = new Jet(0,0,0,imageMap,RIGHT_JET,0,28);
 
diff -aur lm1100.1.0.2a/LinkedList.h fw_lm1100.1.0.2a/LinkedList.h
--- lm1100.1.0.2a/LinkedList.h	2000-11-21 09:06:22.000000000 +0100
+++ fw_lm1100.1.0.2a/LinkedList.h	2007-11-02 11:40:57.000000000 +0100
@@ -26,8 +26,8 @@
 	void *object;
 	LinkedList *next;
 
-	LinkedList::LinkedList();
-	LinkedList::LinkedList(void * object);
+	LinkedList();
+	LinkedList(void * object);
 };
 
 #endif
Only in fw_lm1100.1.0.2a/: lm1100
diff -aur lm1100.1.0.2a/Map.h fw_lm1100.1.0.2a/Map.h
--- lm1100.1.0.2a/Map.h	2000-11-21 09:06:22.000000000 +0100
+++ fw_lm1100.1.0.2a/Map.h	2007-11-02 11:40:31.000000000 +0100
@@ -41,7 +41,7 @@
 	int height; /* height of map in cells */
 
 	Map(int width, int height, int cellSize);
-	Map::~Map();
+	~Map();
 
 	void cacheLines(int start, int len);
 	void addAlgorithm(MapAlgorithm *algorithm);
diff -aur lm1100.1.0.2a/PaintLine300c.h fw_lm1100.1.0.2a/PaintLine300c.h
--- lm1100.1.0.2a/PaintLine300c.h	2000-11-21 09:06:22.000000000 +0100
+++ fw_lm1100.1.0.2a/PaintLine300c.h	2007-11-02 11:43:35.000000000 +0100
@@ -32,7 +32,7 @@
 	int size;
 	int x,y;
 
-	friend LexmarkProtocol300c;
+	friend class LexmarkProtocol300c;
 
  public:
 	void pad(int pad_amount);
diff -aur lm1100.1.0.2a/PaintLineBW.h fw_lm1100.1.0.2a/PaintLineBW.h
--- lm1100.1.0.2a/PaintLineBW.h	2000-11-21 09:06:22.000000000 +0100
+++ fw_lm1100.1.0.2a/PaintLineBW.h	2007-11-02 11:46:29.000000000 +0100
@@ -33,7 +33,7 @@
 	int size;
 	int x,y;
 
-	friend LexmarkProtocolBW;
+	friend class LexmarkProtocolBW;
 	
  public:
 	void pad(int pad_amount);
diff -aur lm1100.1.0.2a/PPMRaw.h fw_lm1100.1.0.2a/PPMRaw.h
--- lm1100.1.0.2a/PPMRaw.h	2000-11-21 09:06:22.000000000 +0100
+++ fw_lm1100.1.0.2a/PPMRaw.h	2007-11-02 11:48:13.000000000 +0100
@@ -32,7 +32,7 @@
 
  public:
 	PPMRaw(Reader *reader,bool readMagic);
-	static void PPMRaw::readHeader(int *width, int *height, int *maxval, Reader *reader, bool readMagic);
+	static void readHeader(int *width, int *height, int *maxval, Reader *reader, bool readMagic);
 	
 	virtual void getRGB(RGB *rgb, int x, int y);
 
diff -aur lm1100.1.0.2a/Rect.h fw_lm1100.1.0.2a/Rect.h
--- lm1100.1.0.2a/Rect.h	2000-11-21 09:06:22.000000000 +0100
+++ fw_lm1100.1.0.2a/Rect.h	2007-11-02 11:41:48.000000000 +0100
@@ -23,8 +23,8 @@
 class Rect
 {
  public:
-	Rect::Rect();
-	Rect::Rect(int x, int y, int width, int height);
+	Rect();
+	Rect(int x, int y, int width, int height);
 	
 	int x,y,width,height;
 
